Bug 159827 - java.net.URISyntaxException: Illegal character in path at index 14: file:/tmp/what ever/lib/nblibraries.properties
java.net.URISyntaxException: Illegal character in path at index 14: file:/tmp...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 21:08 UTC by Jesse Glick
Modified: 2009-05-16 08:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.86 KB, text/plain)
2009-03-06 21:08 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-03-06 21:08:47 UTC
Build: NetBeans IDE Dev (Build 090305)
VM: Java HotSpot(TM) Client VM, 1.5.0_15-b04, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_15-b04
OS: Linux, 2.6.27-11-generic, i386

User Comments:
jglick: Created project w/ space in name. Made it sharable. Then went to local lib mgr and deleted junit libs.



Stacktrace: 
java.net.URISyntaxException: Illegal character in path at index 14: file:/tmp/what ever/lib/nblibraries.properties
        at java.net.URI$Parser.fail(URI.java:2816)
        at java.net.URI$Parser.checkChars(URI.java:2989)
        at java.net.URI$Parser.parseHierarchical(URI.java:3073)
        at java.net.URI$Parser.parse(URI.java:3021)
        at java.net.URI.<init>(URI.java:578)
        at java.net.URL.toURI(URL.java:916)
Comment 1 Jesse Glick 2009-03-06 21:08:52 UTC
Created attachment 77851 [details]
stacktrace
Comment 2 Jesse Glick 2009-03-06 21:16:14 UTC
You are using the (as of JDK 6) deprecated File.toURL. Use toURI().toURL().
Comment 3 Milan Kubec 2009-05-12 14:34:26 UTC
Jesse, what do you mean by "Then went to local lib mgr and deleted junit libs"?
Comment 4 Jesse Glick 2009-05-15 06:13:16 UTC
Opened Tools > Libraries, selected the area corresponding to the local ./lib, selected all the junit* libraries,
Delete'd them. Or at least I think so - was over two months ago now.

Bug is likely in PLP using a now (JDK 6) deprecated method:

        ProjectLibraryArea pla = loadArea(pli.mainPropertiesFile.toURL());
Comment 5 Milan Kubec 2009-05-15 12:26:28 UTC
Not reproducible after the fix.

http://hg.netbeans.org/cdev/rev/a0ed0680a741
Comment 6 Quality Engineering 2009-05-16 08:56:12 UTC
Integrated into 'main-golden', will be available in build *200905160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a0ed0680a741
User: Milan Kubec <mkubec@netbeans.org>
Log: #159827: space in path problem


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo